Skip to main content
POST
/
sourcing
/
linkedin
/
posts
Search LinkedIn posts
curl --request POST \
  --url https://app.leonar.app/api/v1/sourcing/linkedin/posts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "keywords": "<string>",
  "sort_by": "date",
  "date_posted": "past_24h",
  "url": "<string>",
  "cursor": "<string>",
  "page_size": 20
}
'
{
  "data": {
    "items": [
      {}
    ],
    "paging": {
      "start": 123,
      "page_count": 123,
      "total_count": 123
    },
    "cursor": "<string>",
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

API key starting with leo_

Body

application/json
account_id
string<uuid>
required

Connected LinkedIn account ID

keywords
string
required

Post search keywords (required)

sort_by
enum<string>

Sort order for results

Available options:
date,
relevance
date_posted
enum<string>

Filter by post recency

Available options:
past_24h,
past_week,
past_month
url
string<uri>

Alternative — paste a LinkedIn posts search URL directly

cursor
string

Pagination cursor from a previous response

page_size
integer
default:20
Required range: 1 <= x <= 25

Response

Post search results

Generic response for LinkedIn search endpoints (jobs, posts, companies)

data
object